View Issue Details

IDProjectCategoryView StatusLast Update
0023418mantisbtuipublic2019-04-21 02:53
Reporternanzkie Assigned Tocommunity  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.21.0Fixed in Version2.21.0 
Summary0023418: Plugin tab in Summary section not highlighted when selected
Description

My plugin added tab in Summary section and when selected its not highlighted.

Additional Information

How I added my tab to summary menu

function summary_menu() {
        $links[] = ''. plugin_page( 'task_summary.php' ) .'' ;
        return $links;
    }

On Hook

"EVENT_MENU_SUMMARY"   => "summary_menu"
TagsNo tags attached.

Activities

nanzkie

nanzkie

2017-09-29 20:58

reporter  

summary plugin tab.png (38,036 bytes)
summary plugin tab.png (38,036 bytes)
jingshaochen

jingshaochen

2019-04-04 12:52

reporter   ~0061827

reason for this is in html_api.php, in function print_summary_meu, additional tabs are simply listed, no active property are checked.

# Plugins menu items - these are cooked links
        foreach ( $t_menu_options as $t_menu_item ) {
                echo '<li>' . $t_menu_item . '</li>';
        }
jingshaochen

jingshaochen

2019-04-04 14:29

reporter   ~0061831

created a pull request https://github.com/mantisbt/mantisbt/pull/1498

Related Changesets

MantisBT: master 5ad064d8

2019-04-11 09:36:26

dregad

Details Diff
Fixes for "My View" boxes display

Addresses the following issues:

- 0022104 My View Page layout misses some boxes
- 0023418 Plugin tab in Summary section not highlighted when selected
- 0025679 Uneven distribution of boxes on My View page when Timeline is OFF

Plus some minor code cleanup.

Fixes 0022104, 0023418, 0025679
PR https://github.com/mantisbt/mantisbt/pull/1497
Affected Issues
0022104, 0023418, 0025679
mod - config_defaults_inc.php Diff File
mod - core/obsolete.php Diff File
mod - my_view_page.php Diff File

MantisBT: master 113a270b

2019-04-13 02:21:12

jingshaochen


Committer: vboctor Details Diff
Add active class in summary menu for custom tabs

Fixes 0023418
Affected Issues
0023418
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2017-09-29 20:58 nanzkie New Issue
2017-09-29 20:58 nanzkie File Added: summary plugin tab.png
2019-04-04 12:52 jingshaochen Note Added: 0061827
2019-04-04 14:29 jingshaochen Note Added: 0061831
2019-04-07 05:29 dregad Additional Information Updated View Revisions
2019-04-11 09:39 dregad Changeset attached => MantisBT master 5ad064d8
2019-04-11 09:39 dregad Assigned To => dregad
2019-04-11 09:39 dregad Status new => resolved
2019-04-11 09:39 dregad Resolution open => fixed
2019-04-11 09:39 dregad Fixed in Version => 2.21.0
2019-04-11 17:20 atrol Target Version => 2.21.0
2019-04-13 02:22 vboctor Changeset attached => MantisBT master 113a270b
2019-04-13 02:22 vboctor Assigned To dregad => vboctor
2019-04-13 02:28 vboctor Assigned To vboctor => community
2019-04-21 02:53 vboctor Status resolved => closed